Subject: bug#70382: 29.3; Info-fontify-node renders cross-references misleadingly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 15 Apr 2024 14:39:02 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Stefan Monnier <[email-masked]>,  [email-masked],
>   [email-masked]
> Date: Mon, 15 Apr 2024 09:55:19 +0300
> 
> >> > I think the only sane way of dealing with this problem is to disable
> >> > Info-hide-note-references in that particular node (and any other
> >> > nodes,  if we find them, where there's a similar issue).  The patch
> >> > below attempts to do that.
> >>
> >> Sounds OK.
> >
> > OK, I will install this soon, unless Juri (or someone else) comes up
> > with something more elegant.
> 
> Like many self-reference cases this needs an exception too, so probably
> there is no better way than info--dont-hide-references (maybe this name
> should be upper-cased to Info--dont-hide-references like other Info variables).

I named it "info--*" so that this internal variable doesn't get in the
way when one completes on Info variable names.  But I see now that we
already have quite a few internal names that start with "Info--", so I
guess that ship has sailed long ago.

Thanks for the feedback, will install soon.